package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.System;
import com.sa.ibiz.demo.demo.service.dto.SystemSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[System] 服务对象接口
 */
public interface SystemService extends IService<System>{

	boolean checkKey(System et);
	boolean create(System et);
	boolean remove(System et);
	boolean getDraft(System et);
		System get(System et);
	boolean update(System et);
    List<System> listDefault(SystemSearchFilter filter) ;
	Page<System> searchDefault(SystemSearchFilter filter);
	/**	 实体[System] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }